Спасибо @meuh, это работает, как задумано! Он хорошо работает в bash 3.2.57. Я забыл упомянуть, что я использую ЗШ 5.0.8 (в основном простые), я думал, что она может быть использована как падени-в замене для bash большую часть времени. Однако, когда я запускаю функцию в ЗШ я получаю сообщение об ошибке: "нажимаем: Параметры: назначение для поврежденных подстрочный диапазон". У вас есть идея, что могло вызвать это? Это какая анализу проблем? Ох, я проверил, что один уже, но я не знаю, как это "сделать скрипт Python...и бежать.." так что я не могу следовать

Просто используйте хороший (а не улучшению). Например:

Ницца -N команда 10 

Это позволит запустить команду с низким приоритетом.